SystemOrganization addCategory: #SqSaveUsageExamples!

Object subclass: #StSqueakSaveDatabase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqSaveUsageExamples'!

!StSqueakSaveDatabase commentStamp: 'tkow 9/24/2008 16:51' prior: 0!
A StSqueakSaveDatabase is another database variation for the SWA Seaside Tutorial application.

Instance Variables
!

!StSqueakSaveDatabase methodsFor: 'public' stamp: 'tkow 11/11/2008 13:42'!
addTask: aTask toUser: aUser
	aUser addTask: aTask.
	aTask save.
	aUser save.
	^aTask! !

!StSqueakSaveDatabase methodsFor: 'public' stamp: 'tkow 9/24/2008 15:00'!
addUser: aUser
	aUser save.
	^aUser! !

!StSqueakSaveDatabase methodsFor: 'accessing' stamp: 'tkow 9/24/2008 14:06'!
connectionFailed
	^ false! !

!StSqueakSaveDatabase methodsFor: 'connection' stamp: 'tkow 9/24/2008 16:05'!
disconnect
	^true! !

!StSqueakSaveDatabase methodsFor: 'public' stamp: 'tkow 4/20/2009 23:46'!
findUserByEmail: anEmail 
	^ (SqsSearch for: StUser) detect: [:aUser | aUser email = anEmail] ifNone: [nil]! !

!StSqueakSaveDatabase methodsFor: 'initialization' stamp: 'tkow 4/20/2009 23:46'!
initialize
	| |
	super initialize.! !

!StSqueakSaveDatabase methodsFor: 'public' stamp: 'tkow 9/24/2008 13:58'!
save: anObject
	anObject save! !

SqsConfig subclass: #STTutTodoAppSqsConfig
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqSaveUsageExamples'!

!STTutTodoAppSqsConfig class methodsFor: 'accessing' stamp: 'tkow 4/21/2009 00:21'!
configuration
	| conf |
	conf := super configuration.
	conf tableConfiguration idField: 'oid'.
	conf tableConfiguration typeField: 'sqs_type'.
	^ conf! !

!STTutTodoAppSqsConfig class methodsFor: 'accessing' stamp: 'tkow 4/20/2009 23:45'!
connectionSpecification
	^ SqsMySQLConnectionSpecification user: 'test' password: 'test' database: 'todo_app'! !
